# Asterisk Project : Asterisk 13 ManagerAction_MessageSend

Created by wikibot on Aug 08, 2014

# MessageSend

### Synopsis

Send an out of call message to an endpoint.

### Description

### Syntax

    Action: MessageSend
    ActionID: <value>
    To: <value>
    From: <value>
    Body: <value>
    Base64Body: <value>
    Variable: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `To` - The URI the message is to be sent to.
  - Technology: PJSIP
    Specifying a prefix of `pjsip:` will send the message as a SIP MESSAGE request.
  - Technology: SIP
    Specifying a prefix of `sip:` will send the message as a SIP MESSAGE request.
  - Technology: XMPP
    Specifying a prefix of `xmpp:` will send the message as an XMPP chat message.
- `From` - A From URI for the message if needed for the message technology being used to send this message.
  - Technology: PJSIP
    The `from` parameter can be a configured endpoint or in the form of "display-name" <URI>.
  - Technology: SIP
    The `from` parameter can be a configured peer name or in the form of "display-name" <URI>.
  - Technology: XMPP
    Specifying a prefix of `xmpp:` will specify the account defined in `xmpp.conf` to send the message from. Note that this field is required for XMPP messages.
- `Body` - The message body text. This must not contain any newlines as that conflicts with the AMI protocol.
- `Base64Body` - Text bodies requiring the use of newlines have to be base64 encoded in this field. Base64Body will be decoded before being sent out. Base64Body takes precedence over Body.
- `Variable` - Message variable to set, multiple Variable: headers are allowed. The header value is a comma separated list of name=value pairs.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538